Our Apologies...

As of May 2017, vault.andrews.edu has been updated to meet revised encryption standards. These new standards provide strong authentication, message privacy and integrity among other enhancements. Your browser is currently not able to meet the requirements of those standards.

Please choose one of the options below to continue using vault.andrews.edu.

Option 1: Update your browser to the latest version. All modern browsers support TLS 1.1 or 1.2 which are required to operate on our site.

Option 2: Update your browser settings. Some recent but older browsers do not have TLS 1.1 or 1.2 enabled by default. You can see how to change these settings by visiting https://knowledge.geotrust.com/support/knowledge-base/index?page=content&id=INFO3299&pmv=print&actp=PRINT